Problem when compiling latest hostapd against wireless-dev and latest libnl

Andrea Lusuardi - UoVoBW linolusu at tin.it
Thu Sep 6 11:31:25 EDT 2007


On Thu, 6 Sep 2007 06:41:45 -0700
Jouni Malinen <j at w1.fi> wrote:

> The changes from yesterday added requirement for using the latest
> linux/nl80211.h from wireless-dev#everything (i.e., the default branch
> of wireless-dev is not enough; I don't actually know what is the exact
> source of this, but 'everything' branch does seem to include it).
> driver_devicescape.c will need to include that linux/nl80211.h one way
> or the other (e.g., you can just copy it into /usr/include/linux or do
> some other tricks to get it included).

ah great, this explains the strange error!
A simple 

#include "/usr/src/wireless-dev/include/linux/nl80211.h" 

at the beginning of the driver_devicescape.c file  did the trick and
now it compiles and runs perfectly.
thanks again for your time and your work.
bye


-- 
           Andrea Lusuardi  -  UoVoBW 
          Registered Linux User #364578
    http://uovobw.homelinux.org/ - GPG: 313C1073
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 827 bytes
Desc: not available
Url : http://lists.shmoo.com/pipermail/hostap/attachments/20070906/9efc50a9/attachment.pgp 


More information about the HostAP mailing list